<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'JDialogBody',
  props: {
    nonModal: {
      type: Boolean,
      default: false,
    },
  },
});
</script>

<template>
  <div tabindex="0" class="j-dialog-body" :class="{ 'non-modal': nonModal }">
    <slot />
  </div>
</template>

<style lang="scss" scoped>
.j-dialog-body {
  // TODO: add scss variable
  background: #fff;
  outline: none;
  box-shadow: 0 11px 15px -7px #0003, 0 24px 38px 3px #00000024, 0 9px 46px 8px #0000001f;

  &:not(.non-modal) {
    position: static;
    margin: 12px;
    padding: 24px;
    overflow: auto;
    max-width: calc(100vw - 50px);
    max-height: calc(100vh - 120px);
    border-radius: 4px;
    color: var(--j-default-text-color);
    pointer-events: auto;
    transition: 300ms cubic-bezier(0.25, 0.8, 0.25, 1), z-index 1ms;
  }

  &.non-modal {
    overflow: hidden;
    border-radius: 6px;
  }
}
</style>
